Skip to Content
The Makinari API repo now includes an MCP Server — connect your AI models directly. View on GitHub →
REST APIFinder

Role Search

Endpoints

Search People by Role

POST /api/finder/person_role_search

Searches for people based on specific roles and criteria. This endpoint proxies requests to the Forager API.

Parameters: Accepts Forager search parameters in the request body.

Get Search Totals

POST /api/finder/person_role_search/totals

Retrieves the total count of people matching a specific role search query.

Parameters: Accepts Forager search parameters in the request body.

Create Role Query

POST /api/finder/person_role_search/createQuery

Creates or upserts a role search query and links it to segments. This also initiates ICP mining runs.

Request Body:

  • site_id (string, required): The ID of the site.
  • segment_id (UUID, optional): The ID of the segment to link.
  • name (string, required): Name for the query.
  • total_targets (number, required): Expected number of targets.
  • query (object, required): The search query payload.
Last updated on